1. Customers
Reseller Stack Public APIs
  • Customers
    • List customers
      GET
    • Create customer
      POST
    • Get customer
      GET
    • Update customer notes
      PATCH
    • Update customer status
      PATCH
    • Update billing details
      PATCH
  • Geo
    • List countries
      GET
    • List states
      GET
  • Pricing
    • List TLD pricing
      GET
    • Update TLD pricing
      PATCH
    • Set TLD featured
      PATCH
    • Apply bulk margin
      POST
    • Reorder TLD pricing
      POST
  • Domains
    • List domains
      GET
    • Check domain availability
      POST
    • Checkout domain cart (single domain)
      POST
    • Checkout domain cart (bulk)
      POST
    • Get domain
      GET
    • Toggle transfer lock
      PATCH
    • Toggle auto-renew
      PATCH
    • Preview renewal price
      GET
    • Renew domain now
      POST
    • Get domain history
      GET
  • Orders
    • List orders
      GET
    • Get order
      GET
  • DNS
    • List DNS records
    • Add DNS records
    • Update DNS record
    • Delete DNS record
    • Update nameservers
    • Reset nameservers
    • List DNSSEC records
    • Add DNSSEC record
    • Delete DNSSEC record
  • Webhooks
    • Delivered when domain.order.success fires
    • Delivered when domain.order.failed fires
    • Delivered when domain.renewal.success fires
    • Delivered when domain.renewal.failed fires
  • Health check
    GET
  • Get current partner
    GET
  1. Customers

Create customer

POST
/customers

Request

Authorization
API Key
Add parameter in header
rs-x-api-key
Example:
rs-x-api-key: ********************
or
Body Params application/json

Examples

Responses

🟢201
application/json
Customer created
Bodyapplication/json

🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/customers' \
--header 'rs-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "jane.doe@acme.com",
    "firstName": "Jane",
    "lastName": "Doe",
    "company": "Acme Corp",
    "addressLineOne": "123 Market St",
    "addressLineTwo": "string",
    "addressLineThree": "string",
    "city": "San Francisco",
    "state": "CA",
    "country": "US",
    "postalCode": "94103",
    "phoneCc": "+1",
    "phone": "5551234567"
}'
Response Response Example
{
    "status": 200,
    "message": "Customer created",
    "data": {
        "id": "b1c2d3e4-f5a6-4b7c-8d9e-0f1a2b3c4d5e",
        "componentUserId": "USR-7K2M9QX4"
    }
}
Modified at 2026-08-28 11:33:21
Previous
List customers
Next
Get customer
Built with